<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet SYSTEM "xslt.dtd">
<xsl:stylesheet version="1.0"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:bibtex="http://www.bitjungle.com/~bibtex/">
  <xsl:output method="text" media-type="application/x-bibtex"
	      encoding="iso-8859-1"/>

  <xsl:template match="bibtex:bibliography">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="bibtex:entry">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="bibtex:entry/bibtex:*">
    <xsl:text>@</xsl:text>
    <xsl:value-of select='substring-after(name(),"bibtex:")'/>
    <xsl:text>{</xsl:text>
    <xsl:value-of select="../@id"/>
    <xsl:text>,</xsl:text>
    <xsl:text>&#xA;</xsl:text>
    <xsl:apply-templates/>
    <xsl:text>}</xsl:text>
    <xsl:text>&#xA;</xsl:text>
  </xsl:template>

  <xsl:template match="bibtex:entry/*/bibtex:*">
    <xsl:text>   </xsl:text>
    <xsl:value-of select='substring-after(name(),"bibtex:")'/>
    <xsl:text> = {</xsl:text>
    <xsl:value-of select="."/>
    <xsl:text>},</xsl:text>
    <xsl:text>&#xA;</xsl:text>
  </xsl:template>

  <xsl:template match="text()"/>

</xsl:stylesheet>
